package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataSyncInMapper;
import com.sa.ibiz.demo.demo.domain.DataSyncIn;
import com.sa.ibiz.demo.demo.service.DataSyncInService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataSyncInSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[DataSyncIn] 服务对象接口实现
 */
@Service
public class DataSyncInServiceImpl extends ServiceImplBase<DataSyncInMapper, DataSyncIn> implements DataSyncInService{

    @Autowired
    private DataEntityService deService;

    @Resource
    private DataSyncInMapper datasyncinMapper;


    @Override
    public boolean create(DataSyncIn et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataSyncIn et){
        this.beforeUpdate(et);
		this.datasyncinMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataSyncIn et){
		return et.getDatasyncinid();  
    }

    @Override
    public boolean getDraft(DataSyncIn et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DataSyncIn> listDefault(DataSyncInSearchFilter filter) {
		return datasyncinMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataSyncIn> searchDefault(DataSyncInSearchFilter filter) {
		return datasyncinMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return datasyncinMapper.selectRow(sql);
    }

 }